Page MenuHomePhabricator

Article actions width is not 100%
Closed, ResolvedPublic2 Story Points

Description

Article action bar on articles doesn't consume 100% width of the page. it's almost 80% of what it should be and doesn't align on the right side because of it.

Suggested testbed, portrait and landscape, LTR & RTL:

  • Android 2.3 Browser phone form factor
  • Android 4.x/5.x/6.x Chrome phone form factor
  • Android 4.x/5.x/6.x Chrome tablet form factor
  • iOS 9.3 iPhone
  • iOS 9.3 iPad
  • Opera mobile (not mini) Android 4+ phone form factor
  • UC browser (not mini) Android 4+ phone form factor
  • Windows 7.5 Phone IE
  • Desktop Firefox
  • Desktop Chrome
  • Desktop Safari
  • Internet Explorer 11

Note that iOS 8.4 is out of scope while device / testing service available, but iOS 9.3 is pretty close to iOS 8.4 for layout.

Event Timeline

Nirzar created this task.Jun 5 2016, 12:32 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 5 2016, 12:32 AM
Nirzar triaged this task as High priority.Jun 5 2016, 12:32 AM

@Nirzar, do you mean the borders should touch the screen left and right?

Nirzar added a comment.Jun 6 2016, 4:55 PM

The green should be the padding. and it was. now the width is lesser than that and the red padding is extra.

bmansurov removed bmansurov as the assignee of this task.Jun 27 2016, 4:19 PM

I'm currently not working on the task.

dr0ptp4kt set the point value for this task to 2.Jun 27 2016, 4:28 PM
dr0ptp4kt updated the task description. (Show Details)Jun 29 2016, 6:06 PM
dr0ptp4kt updated the task description. (Show Details)Jun 30 2016, 3:42 PM
Nirzar added a comment.Jul 1 2016, 6:43 AM

@dr0ptp4kt do we need regression tag on this. i don't want it to be part of UX debt.

@Nirzar, I don't think so. The feature was implemented wrongly in the first place. My bad.

Change 297455 had a related patch set uploaded (by Jdlrobson):
Article actions should take up 100% width

https://gerrit.wikimedia.org/r/297455

Jdlrobson claimed this task.Jul 5 2016, 6:46 PM
Jdlrobson moved this task from Doing to Code Review on the Reading-Web-Sprint-76-Retrosprekfast board.

Change 297455 merged by jenkins-bot:
Article actions should take up 100% width

https://gerrit.wikimedia.org/r/297455

bmansurov closed this task as Resolved.EditedJul 7 2016, 2:52 AM

To test please visit http://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Page_actions&mobileaction=beta and look at the language switcher and edit icons to make sure they are properly aligned with the page borders. The screen size needs to be less than the tablet screen size.

Nirzar added a comment.Jul 7 2016, 9:44 AM

looks good